apiVersion: v1
items:
- apiVersion: v1
  kind: Pod
  metadata:
    annotations:
      descheduler.alpha.kubernetes.io/request-evict-only: ""
      istio.io/reroute-virtual-interfaces: k6t-eth0
      k8s.ovn.org/pod-networks: '{"default":{"ip_addresses":["10.129.3.126/23"],"mac_address":"0a:58:0a:81:03:7e","gateway_ips":["10.129.2.1"],"routes":[{"dest":"10.128.0.0/14","nextHop":"10.129.2.1"},{"dest":"172.30.0.0/16","nextHop":"10.129.2.1"},{"dest":"169.254.0.5/32","nextHop":"10.129.2.1"},{"dest":"100.64.0.0/16","nextHop":"10.129.2.1"}],"ip_address":"10.129.3.126/23","gateway_ip":"10.129.2.1","role":"primary"}}'
      k8s.v1.cni.cncf.io/network-status: |-
        [{
            "name": "ovn-kubernetes",
            "interface": "eth0",
            "ips": [
                "10.129.3.126"
            ],
            "mac": "0a:58:0a:81:03:7e",
            "default": true,
            "dns": {}
        }]
      kubectl.kubernetes.io/default-container: compute
      kubevirt.io/cluster-instancetype-name: hot-plug-4-cpu-instance-type
      kubevirt.io/domain: rhel10-hotplug-instance-type-vm-1759221189-715344
      kubevirt.io/migrationTransportUnix: "true"
      kubevirt.io/vm-generation: "2"
      openshift.io/scc: kubevirt-controller
      post.hook.backup.velero.io/command: '["/usr/bin/virt-freezer", "--unfreeze",
        "--name", "rhel10-hotplug-instance-type-vm-1759221189-715344", "--namespace",
        "instance-types-test-cpu-memory-hotplug-instancetype"]'
      post.hook.backup.velero.io/container: compute
      pre.hook.backup.velero.io/command: '["/usr/bin/virt-freezer", "--freeze", "--name",
        "rhel10-hotplug-instance-type-vm-1759221189-715344", "--namespace", "instance-types-test-cpu-memory-hotplug-instancetype"]'
      pre.hook.backup.velero.io/container: compute
      seccomp.security.alpha.kubernetes.io/pod: localhost/kubevirt/kubevirt.json
      security.openshift.io/validated-scc-subject-type: user
      traffic.sidecar.istio.io/kubevirtInterfaces: k6t-eth0
    creationTimestamp: "2025-09-30T08:33:43Z"
    generateName: virt-launcher-rhel10-hotplug-instance-type-vm-1759221189-715344-
    generation: 1
    labels:
      debugLogs: "true"
      kubevirt.io: virt-launcher
      kubevirt.io/created-by: 16541706-dfbe-42ee-83e5-b942cb5b5a16
      kubevirt.io/domain: rhel10-hotplug-instance-type-vm-1759221189-715344
      kubevirt.io/nodeName: ssp-rk-420a-74vrz-worker-0-4krsr
      kubevirt.io/vm: rhel10-hotplug-instance-type-vm-1759221189-715344
      vm.kubevirt.io/name: rhel10-hotplug-instance-type-vm-1759221189-715344
    name: virt-launcher-rhel10-hotplug-instance-type-vm-1759221189-7mhsfc
    namespace: instance-types-test-cpu-memory-hotplug-instancetype
    ownerReferences:
    - apiVersion: kubevirt.io/v1
      blockOwnerDeletion: true
      controller: true
      kind: VirtualMachineInstance
      name: rhel10-hotplug-instance-type-vm-1759221189-715344
      uid: 16541706-dfbe-42ee-83e5-b942cb5b5a16
    resourceVersion: "3043453"
    uid: 6393623f-3291-40ee-a880-b12ddcf29a7b
  spec:
    automountServiceAccountToken: false
    containers:
    - command:
      - /usr/bin/virt-launcher-monitor
      - --qemu-timeout
      - 314s
      - --name
      - rhel10-hotplug-instance-type-vm-1759221189-715344
      - --uid
      - 16541706-dfbe-42ee-83e5-b942cb5b5a16
      - --namespace
      - instance-types-test-cpu-memory-hotplug-instancetype
      - --kubevirt-share-dir
      - /var/run/kubevirt
      - --ephemeral-disk-dir
      - /var/run/kubevirt-ephemeral-disks
      - --container-disk-dir
      - /var/run/kubevirt/container-disks
      - --grace-period-seconds
      - "45"
      - --hook-sidecars
      - "0"
      - --ovmf-path
      - /usr/share/OVMF
      - --disk-memory-limit
      - "2000000000"
      - --run-as-nonroot
      env:
      - name: XDG_CACHE_HOME
        value: /var/run/kubevirt-private
      - name: XDG_CONFIG_HOME
        value: /var/run/kubevirt-private
      - name: XDG_RUNTIME_DIR
        value: /var/run
      - name: LIBVIRT_DEBUG_LOGS
        value: "1"
      - name: POD_NAME
        valueFrom:
          fieldRef:
            apiVersion: v1
            fieldPath: metadata.name
      image: registry.redhat.io/container-native-virtualization/virt-launcher-rhel9@sha256:a87573fe66c42321416b14f9ba0a02fe3655c289d5e7e95f9f11d27a5d6a0e20
      imagePullPolicy: IfNotPresent
      name: compute
      resources:
        limits:
          devices.kubevirt.io/kvm: "1"
          devices.kubevirt.io/tun: "1"
          devices.kubevirt.io/vhost-net: "1"
        requests:
          cpu: 400m
          devices.kubevirt.io/kvm: "1"
          devices.kubevirt.io/tun: "1"
          devices.kubevirt.io/vhost-net: "1"
          ephemeral-storage: 50M
          memory: "4609540097"
      securityContext:
        allowPrivilegeEscalation: false
        capabilities:
          add:
          - NET_BIND_SERVICE
          drop:
          - ALL
        privileged: false
        runAsGroup: 107
        runAsNonRoot: true
        runAsUser: 107
      terminationMessagePath: /dev/termination-log
      terminationMessagePolicy: FallbackToLogsOnError
      volumeDevices:
      - devicePath: /dev/dv-disk
        name: dv-disk
      volumeMounts:
      - mountPath: /var/run/kubevirt-private
        name: private
      - mountPath: /var/run/kubevirt
        name: public
      - mountPath: /var/run/kubevirt-ephemeral-disks
        name: ephemeral-disks
      - mountPath: /var/run/libvirt
        name: libvirt-runtime
      - mountPath: /var/run/kubevirt/sockets
        name: sockets
      - mountPath: /var/run/kubevirt/container-disks
        mountPropagation: HostToContainer
        name: container-disks
      - mountPath: /var/run/kubevirt/hotplug-disks
        mountPropagation: HostToContainer
        name: hotplug-disks
    dnsPolicy: ClusterFirst
    enableServiceLinks: false
    hostname: rhel10-hotplug-instance-type-vm-1759221189-715344
    imagePullSecrets:
    - name: default-dockercfg-tdgx4
    initContainers:
    - args:
      - --logfile
      - /var/run/kubevirt-private/16541706-dfbe-42ee-83e5-b942cb5b5a16/virt-serial0-log
      command:
      - /usr/bin/virt-tail
      env:
      - name: VIRT_LAUNCHER_LOG_VERBOSITY
        value: "2"
      image: registry.redhat.io/container-native-virtualization/virt-launcher-rhel9@sha256:a87573fe66c42321416b14f9ba0a02fe3655c289d5e7e95f9f11d27a5d6a0e20
      imagePullPolicy: IfNotPresent
      name: guest-console-log
      resources:
        limits:
          cpu: 15m
          memory: 60M
        requests:
          cpu: 5m
          memory: 35M
      restartPolicy: Always
      securityContext:
        allowPrivilegeEscalation: false
        capabilities:
          drop:
          - ALL
        runAsNonRoot: true
        runAsUser: 107
      terminationMessagePath: /dev/termination-log
      terminationMessagePolicy: File
      volumeMounts:
      - mountPath: /var/run/kubevirt-private
        name: private
        readOnly: true
    nodeName: ssp-rk-420a-74vrz-worker-0-4krsr
    nodeSelector:
      cpu-model.node.kubevirt.io/Haswell-noTSX-IBRS: "true"
      kubernetes.io/arch: amd64
      kubevirt.io/schedulable: "true"
      machine-type.node.kubevirt.io/pc-q35-rhel9.6.0: "true"
    preemptionPolicy: PreemptLowerPriority
    priority: 0
    readinessGates:
    - conditionType: kubevirt.io/virtual-machine-unpaused
    restartPolicy: Never
    schedulerName: default-scheduler
    securityContext:
      fsGroup: 107
      runAsGroup: 107
      runAsNonRoot: true
      runAsUser: 107
      seccompProfile:
        localhostProfile: kubevirt/kubevirt.json
        type: Localhost
    serviceAccount: default
    serviceAccountName: default
    terminationGracePeriodSeconds: 60
    tolerations:
    - effect: NoExecute
      key: node.kubernetes.io/not-ready
      operator: Exists
      tolerationSeconds: 300
    - effect: NoExecute
      key: node.kubernetes.io/unreachable
      operator: Exists
      tolerationSeconds: 300
    - effect: NoSchedule
      key: node.kubernetes.io/memory-pressure
      operator: Exists
    volumes:
    - emptyDir: {}
      name: private
    - emptyDir: {}
      name: public
    - emptyDir: {}
      name: sockets
    - emptyDir: {}
      name: virt-bin-share-dir
    - emptyDir: {}
      name: libvirt-runtime
    - emptyDir: {}
      name: ephemeral-disks
    - emptyDir: {}
      name: container-disks
    - name: dv-disk
      persistentVolumeClaim:
        claimName: rhel10
    - emptyDir: {}
      name: hotplug-disks
  status:
    conditions:
    - lastProbeTime: "2025-09-30T08:33:43Z"
      lastTransitionTime: "2025-09-30T08:33:43Z"
      message: the virtual machine is not paused
      reason: NotPaused
      status: "True"
      type: kubevirt.io/virtual-machine-unpaused
    - lastProbeTime: null
      lastTransitionTime: "2025-09-30T08:33:47Z"
      status: "True"
      type: PodReadyToStartContainers
    - lastProbeTime: null
      lastTransitionTime: "2025-09-30T08:33:47Z"
      status: "True"
      type: Initialized
    - lastProbeTime: null
      lastTransitionTime: "2025-09-30T08:33:48Z"
      status: "True"
      type: Ready
    - lastProbeTime: null
      lastTransitionTime: "2025-09-30T08:33:48Z"
      status: "True"
      type: ContainersReady
    - lastProbeTime: null
      lastTransitionTime: "2025-09-30T08:33:43Z"
      status: "True"
      type: PodScheduled
    containerStatuses:
    - allocatedResources:
        cpu: 400m
        devices.kubevirt.io/kvm: "1"
        devices.kubevirt.io/tun: "1"
        devices.kubevirt.io/vhost-net: "1"
        ephemeral-storage: 50M
        memory: "4609540097"
      containerID: cri-o://eecc130df4cf896c7613170cedbad8956d21e4f7f0713cfb24a4ce7a0dce7f77
      image: registry.redhat.io/container-native-virtualization/virt-launcher-rhel9@sha256:a87573fe66c42321416b14f9ba0a02fe3655c289d5e7e95f9f11d27a5d6a0e20
      imageID: registry.redhat.io/container-native-virtualization/virt-launcher-rhel9@sha256:a87573fe66c42321416b14f9ba0a02fe3655c289d5e7e95f9f11d27a5d6a0e20
      lastState: {}
      name: compute
      ready: true
      resources:
        limits:
          devices.kubevirt.io/kvm: "1"
          devices.kubevirt.io/tun: "1"
          devices.kubevirt.io/vhost-net: "1"
        requests:
          cpu: 400m
          devices.kubevirt.io/kvm: "1"
          devices.kubevirt.io/tun: "1"
          devices.kubevirt.io/vhost-net: "1"
          ephemeral-storage: 50M
          memory: "4609540097"
      restartCount: 0
      started: true
      state:
        running:
          startedAt: "2025-09-30T08:33:47Z"
      user:
        linux:
          gid: 107
          supplementalGroups:
          - 107
          - 36
          uid: 107
      volumeMounts:
      - mountPath: /var/run/kubevirt-private
        name: private
      - mountPath: /var/run/kubevirt
        name: public
      - mountPath: /var/run/kubevirt-ephemeral-disks
        name: ephemeral-disks
      - mountPath: /var/run/libvirt
        name: libvirt-runtime
      - mountPath: /var/run/kubevirt/sockets
        name: sockets
      - mountPath: /var/run/kubevirt/container-disks
        name: container-disks
      - mountPath: /var/run/kubevirt/hotplug-disks
        name: hotplug-disks
    hostIP: 192.168.0.33
    hostIPs:
    - ip: 192.168.0.33
    initContainerStatuses:
    - allocatedResources:
        cpu: 5m
        memory: 35M
      containerID: cri-o://de44f746a409e246dfd5c1ba30b96d4a7cd8fb0735d1f0266897ae661bfa3e7e
      image: registry.redhat.io/container-native-virtualization/virt-launcher-rhel9@sha256:a87573fe66c42321416b14f9ba0a02fe3655c289d5e7e95f9f11d27a5d6a0e20
      imageID: registry.redhat.io/container-native-virtualization/virt-launcher-rhel9@sha256:a87573fe66c42321416b14f9ba0a02fe3655c289d5e7e95f9f11d27a5d6a0e20
      lastState: {}
      name: guest-console-log
      ready: true
      resources:
        limits:
          cpu: 15m
          memory: 60M
        requests:
          cpu: 5m
          memory: 35M
      restartCount: 0
      started: true
      state:
        running:
          startedAt: "2025-09-30T08:33:46Z"
      user:
        linux:
          gid: 107
          supplementalGroups:
          - 107
          - 36
          uid: 107
      volumeMounts:
      - mountPath: /var/run/kubevirt-private
        name: private
        readOnly: true
        recursiveReadOnly: Disabled
    phase: Running
    podIP: 10.129.3.126
    podIPs:
    - ip: 10.129.3.126
    qosClass: Burstable
    startTime: "2025-09-30T08:33:43Z"
kind: List
metadata:
  resourceVersion: ""
